Subject: Re: [EXT] Re: [PATCH] mwifiex: check for null return from skb_copy

From: Dan Carpenter <[email-masked]>
Date: Sun, 2 Jun 2019 00:08:58 +0300

On Sat, Jun 01, 2019 at 05:29:26PM +0000, Ganapathi Bhat wrote:
> Hi Dan,
> 
> > >  	if (is_multicast_ether_addr(ra)) {
> > >  		skb_uap = skb_copy(skb, GFP_ATOMIC);
> > > +		if (!skb_uap)
> > > +			return -ENOMEM;
> > 
> > I think we would want to free dev_kfree_skb_any(skb) before returning.
> I think if the pointer is NULL, no need to free it; 

You're misreading skb vs skb_uap.  "skb_uap" is NULL but "skb" is
non-NULL and I'm pretty sure we should free it.

regards,
dan carpenter